CmsLeg Class Reference

helper class building a sequence of capped/floored cms-rate coupons More...

`#include <ql/cashflows/cmscoupon.hpp>`

## Public Member Functions

| CmsLeg (const Schedule &schedule, const ext::shared_ptr< SwapIndex > &swapIndex)
CmsLeg & | withNotionals (Real notional)
CmsLeg & | withNotionals (const std::vector< Real > &notionals)
CmsLeg & | withPaymentDayCounter (const DayCounter &)
CmsLeg & | withPaymentAdjustment (BusinessDayConvention)
CmsLeg & | withFixingDays (Natural fixingDays)
CmsLeg & | withFixingDays (const std::vector< Natural > &fixingDays)
CmsLeg & | withGearings (Real gearing)
CmsLeg & | withGearings (const std::vector< Real > &gearings)
CmsLeg & | withSpreads (Spread spread)
CmsLeg & | withSpreads (const std::vector< Spread > &spreads)
CmsLeg & | withCaps (Rate cap)
CmsLeg & | withCaps (const std::vector< Rate > &caps)
CmsLeg & | withFloors (Rate floor)
CmsLeg & | withFloors (const std::vector< Rate > &floors)
CmsLeg & | inArrears (bool flag=true)
CmsLeg & | withZeroPayments (bool flag=true)
CmsLeg & | withExCouponPeriod (const Period &, const Calendar &, BusinessDayConvention, bool endOfMonth)
| operator Leg () const

## Detailed Description

helper class building a sequence of capped/floored cms-rate coupons